# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global flavor gcc64
%global enable64 yes
%else
%global flavor gcc32
%global enable64 no
%endif

%global debug_package %{nil}

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		globus-core
%global _name %(tr - _ <<< %{name})
Version:	8.9
Release:	alt1_3
Summary:	Globus Toolkit - Globus Core

Group:		Development/Tools
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.2/packages/src/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-CCOMMONLIB
Patch0:		%{name}-texlive-2012.patch

Requires:	perl(XML/Parser.pm)
BuildRequires:	grid-packaging-tools >= 3.4
BuildRequires:	perl(XML/Parser.pm)
Source44: import.info

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus Core

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

sed 's/5.2.0/5.2.3/' -i scripts/globus-spec-creator
sed 's/ -L$libdir//' -i config/accompiler.m4

# custom perl requires that removes dependency on gpt perl modules
cat << EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(Grid::GPT::.*)/d'
EOF
%global __perl_requires %{_builddir}/%{_name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
# Remove files that should be replaced during bootstrap
rm -rf autom4te.cache

unset GLOBUS_LOCATION
unset GPT_LOCATION
./bootstrap

# Reduce overlinking
export LDFLAGS="-Wl,--as-needed %{?__global_ldflags}"

%configure --disable-static --with-flavor=%{flavor} \
	   --enable-64bit=%{enable64} \
	   --enable-debug \
	   --includedir='${prefix}/include/globus' \
	   --libexecdir='${datadir}/globus' \
	   --with-setupdir='${datadir}/globus/setup' \
	   --with-testdir='${datadir}/globus/test/${PACKAGE}' \
	   --with-flavorincludedir='${libdir}/globus/include' \
	   --with-perlmoduledir=%{perl_vendor_privlib} \
	   --with-doxygendir='${datadir}/globus/doxygen' \
	   --with-docdir=%{_docdir}/%{name}-%{version} \
	   --with-initializer-libdir-based-on-machine-type

# Reduce overlinking
sed 's!CC -shared !CC \${wl}--as-needed -shared !g' -i libtool

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# These scripts are intended to be sourced, not executed
chmod 644 %{buildroot}%{_datadir}/globus/globus-build-env-*.sh

GLOBUSPACKAGEDIR=%{buildroot}%{_datadir}/globus/packages

# Don't use /usr/bin/env
sed 's!/usr/bin/env perl!/usr/bin/perl!' -i %{buildroot}%{_sbindir}/globus-*

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_docdir}/%{name}-%{version}/README

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/noflavor_data.filelist \
  | sed s!^!%{_prefix}! > package.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  | sed -e 's!/man/.*!&*!' -e 's!^!%doc %{_prefix}!' >> package.filelist

%files -f package.filelist
%dir %{_datadir}/globus
%dir %{_datadir}/globus/aclocal
%dir %{_datadir}/globus/doxygen
%dir %{_datadir}/globus/flavors
%dir %{_datadir}/globus/packages
%dir %{_datadir}/globus/packages/%{_name}
%dir %{_libdir}/globus
%dir %{_libdir}/globus/include
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/README
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%changelog
* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 8.9-alt1_3
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 8.9-alt1_2
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 8.9-alt1_1
- initial fc import

